#!/bin/sh
# Test comman line arguments of g.gui.animation
# We need to set a specific region in the
# @preprocess step of this test. 
# The region setting should work for UTM and LL test locations
g.region s=0 n=80 w=0 e=120 b=0 t=50 res=0.1 res3=10 -p3

export GRASS_RND_SEED=1
r.mapcalc --o expr="prec_1 = rand(10,100.0)"
export GRASS_RND_SEED=2
r.mapcalc --o expr="prec_2 = rand(20,200.0)"
export GRASS_RND_SEED=3
r.mapcalc --o expr="prec_3 = rand(30,300.0)"
export GRASS_RND_SEED=4
r.mapcalc --o expr="prec_4 = rand(40,400.0)"
export GRASS_RND_SEED=5
r.mapcalc --o expr="prec_5 = rand(50,500.0)"
export GRASS_RND_SEED=6
r.mapcalc --o expr="prec_6 = rand(60,600.0)"

v.random --o -z output=soil_1 n=10000 zmin=0 zmax=100 column=height seed=1
v.random --o -z output=soil_2 n=10000 zmin=0 zmax=100 column=height seed=2
v.random --o -z output=soil_3 n=10000 zmin=0 zmax=100 column=height seed=3
v.random --o -z output=soil_4 n=10000 zmin=0 zmax=100 column=height seed=4
v.random --o -z output=soil_5 n=10000 zmin=0 zmax=100 column=height seed=5
v.random --o -z output=soil_6 n=10000 zmin=0 zmax=100 column=height seed=6

n1=`g.tempfile pid=1 -d` 

cat > "${n1}" << EOF
soil_1|2001-01-01|2001-04-01
soil_2|2001-05-01|2001-07-01
soil_3|2001-08-01|2001-12-01
soil_4|2002-01-01|2003-02-01
soil_5|2003-05-01|2003-11-01
soil_6|2003-11-01|2004-10-01
EOF

t.create --o type=stvds temporaltype=absolute output=soil_abs1 title="A test" descr="A test"
t.register --o type=vect input=soil_abs1 file="${n1}" 

t.create --o type=strds temporaltype=absolute output=precip_abs1 title="A test" descr="A test"
t.register -i --o type=rast input=precip_abs1 maps=prec_1,prec_2,prec_3,prec_4,prec_5,prec_6 \
    start="2000-09-01 00:00:00" increment="6 months"

g.gui.animation rast=prec_1,prec_2,prec_3,prec_4,prec_5,prec_6
g.gui.animation vect=soil_1,soil_2,soil_3,soil_4,soil_5,soil_6
g.gui.animation strds=precip_abs1
g.gui.animation stvds=soil_abs1